Bug 731250 - SELinux is preventing /usr/libexec/gsd-datetime-mechanism from 'unlink' accesses on the archivo /etc/localtime.
Summary: SELinux is preventing /usr/libexec/gsd-datetime-mechanism from 'unlink' acces...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:789ab86ddbf6fa43e14fd115ab9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-17 07:07 UTC by Iván Jiménez
Modified: 2011-08-20 11:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-17 11:57:37 UTC


Attachments (Terms of Use)

Description Iván Jiménez 2011-08-17 07:07:11 UTC
abrt version: 2.0.5
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.0.0-1.fc16.x86_64
reason:         SELinux is preventing /usr/libexec/gsd-datetime-mechanism from 'unlink' accesses on the archivo /etc/localtime.
time:           Wed Aug 17 07:06:53 2011

description:
:SELinux is preventing /usr/libexec/gsd-datetime-mechanism from 'unlink' accesses on the archivo /etc/localtime.
:
:*****  Plugin restorecon (94.8 confidence) suggests  *************************
:
:If you want to fix the label. 
:/etc/localtime default label should be locale_t.
:Then you can run restorecon.
:Do
:# /sbin/restorecon -v /etc/localtime
:
:*****  Plugin catchall_labels (5.21 confidence) suggests  ********************
:
:If desea permitir que gsd-datetime-mechanism tenga unlink acceso al localtime file
:Then you need to change the label on /etc/localtime
:Do
:# semanage fcontext -a -t FILE_TYPE '/etc/localtime'
:where FILE_TYPE is one of the following: config_usr_t, locale_t. 
:Then execute: 
:restorecon -v '/etc/localtime'
:
:
:*****  Plugin catchall (1.44 confidence) suggests  ***************************
:
:If you believe that gsd-datetime-mechanism should be allowed unlink access on the localtime file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep gsd-datetime-me /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:gnomeclock_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:etc_t:s0
:Target Objects                /etc/localtime [ file ]
:Source                        gsd-datetime-me
:Source Path                   /usr/libexec/gsd-datetime-mechanism
:Port                          <Desconocido>
:Host                          (removed)
:Source RPM Packages           gnome-settings-daemon-3.1.4-5.fc16
:Target RPM Packages           glibc-2.14.90-4
:Policy RPM                    selinux-policy-3.10.0-15.fc16
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.0.0-1.fc16.x86_64 #1
:                              SMP Fri Jul 22 16:09:29 UTC 2011 x86_64 x86_64
:Alert Count                   1
:First Seen                    mié 17 ago 2011 07:04:52 COT
:Last Seen                     mié 17 ago 2011 07:04:52 COT
:Local ID                      8802ddd9-6e13-4f20-97b0-dd34b2c845a7
:
:Raw Audit Messages
:type=AVC msg=audit(1313582692.651:153): avc:  denied  { unlink } for  pid=5543 comm="gsd-datetime-me" name="localtime" dev=dm-0 ino=156117 scontext=system_u:system_r:gnomeclock_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:etc_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1313582692.651:153): arch=x86_64 syscall=rename success=no exit=EACCES a0=1436630 a1=4069bb a2=142c6d0 a3=7fffd4d3b9e0 items=0 ppid=1 pid=5543 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=gsd-datetime-me exe=/usr/libexec/gsd-datetime-mechanism subj=system_u:system_r:gnomeclock_t:s0-s0:c0.c1023 key=(null)
:
:Hash: gsd-datetime-me,gnomeclock_t,etc_t,file,unlink
:
:audit2allow
:
:#============= gnomeclock_t ==============
:allow gnomeclock_t etc_t:file unlink;
:
:audit2allow -R
:
:#============= gnomeclock_t ==============
:allow gnomeclock_t etc_t:file unlink;
:

Comment 1 Daniel Walsh 2011-08-17 11:57:37 UTC
restorecon -R -v /etc/localtime

Any idea how this got mislabeled?

Plugin told you how to fix this also.

Comment 2 Iván Jiménez 2011-08-18 19:41:40 UTC
(In reply to comment #1)
> restorecon -R -v /etc/localtime
> 
> Any idea how this got mislabeled?

It appeared when using an x86_64 F16-Alpha-RC5's live usb.

> Plugin told you how to fix this also.

Comment 3 Daniel Walsh 2011-08-20 11:01:11 UTC
You installed from this live usb and it had a mislabeled /etc/localtime?  Or you see the mislabeled localtime on the disk when booted as a liveos?


Note You need to log in before you can comment on or make changes to this bug.